## php5 5.2.0+dfsg

=== win32/build/Makefile ===
#  +----------------------------------------------------------------------+
#  | PHP Version 5                                                        |
#  +----------------------------------------------------------------------+
#  | Copyright (c) 1997-2006 The PHP Group                                |
#  +----------------------------------------------------------------------+
#  | This source file is subject to version 3.01 of the PHP license,      |
#  | that is bundled with this package in the file LICENSE, and is        |
#  | available through the world-wide-web at the following url:           |
#  | http://www.php.net/license/3_01.txt                                  |
#  | If you did not receive a copy of the PHP license and are unable to   |
#  | obtain it through the world-wide-web, please send a note to          |
#  | license@php.net so we can mail you a copy immediately.               |
#  +----------------------------------------------------------------------+
#  | Author: Wez Furlong <wez@thebrainroom.com>                           |
#  +----------------------------------------------------------------------+
#
# $Id: Makefile,v 1.35.2.1 2006/01/01 12:50:20 sniper Exp $
# This is the makefile template for the win32 build

CC="$(CL)"
LD="$(LINK)"
MC="$(MC)"

MCFILE=$(BUILD_DIR)\wsyslog.rc

all: generated_files $(EXT_TARGETS) $(PECL_TARGETS) $(SAPI_TARGETS)

build_dirs: $(BUILD_DIR) $(BUILD_DIRS_SUB)

generated_files: build_dirs Zend\zend_ini_parser.c \
	Zend\zend_language_parser.c Zend\zend_ini_scanner.c \
	Zend\zend_language_scanner.c \
	$(PHPDEF) $(MCFILE)

$(BUILD_DIR)\$(PHPDLL).def: $(PHP_DLL_DEF_SOURCES)
	type $(PHP_DLL_DEF_SOURCES) > $(BUILD_DIR)\$(PHPDLL).def

Zend\zend_ini_parser.c Zend\zend_ini_parser.h: Zend\zend_ini_parser.y
	$(BISON) --output=Zend/zend_ini_parser.c -v -d -p ini_ Zend/zend_ini_parser.y

Zend\zend_language_parser.c Zend\zend_language_parser.h: Zend\zend_language_parser.y
	$(BISON) --output=Zend/zend_language_parser.c -v -d -p zend Zend/zend_language_parser.y

Zend\zend_ini_scanner.c: Zend\flex.skl Zend\zend_ini_scanner.l
	$(FLEX) -B -i -SZend/flex.skl -Pini_ -oZend/zend_ini_scanner.c Zend/zend_ini_scanner.l

Zend\zend_language_scanner.c: Zend\flex.skl Zend\zend_language_scanner.l
	$(FLEX) -i -SZend/flex.skl -Pzend -oZend/zend_language_scanner.c Zend/zend_language_scanner.l

PHPDLL_RES=$(BUILD_DIR)\$(PHPDLL).res

$(MCFILE): win32\build\wsyslog.mc
	$(MC) -h win32\ -r $(BUILD_DIR)\ -x $(BUILD_DIR)\ win32\build\wsyslog.mc

#	$(RC) /fo $(MCFILE) $(BUILD_DIR)\wsyslog.rc

$(PHPDLL_RES): win32\build\template.rc
	$(RC) /fo $(PHPDLL_RES) /d FILE_DESCRIPTION="\"PHP Script Interpreter\"" \
		/d FILE_NAME="\"$(PHPDLL)\"" /d PRODUCT_NAME="\"PHP Script Interpreter\"" \
		/I$(BUILD_DIR) /d MC_INCLUDE="\"$(MCFILE)\"" \
		win32\build\template.rc 

$(BUILD_DIR)\$(PHPDLL): generated_files $(PHPDEF) $(PHP_GLOBAL_OBJS) $(STATIC_EXT_OBJS) $(PHPDLL_RES) $(MCFILE)
	@$(LD) /out:$(BUILD_DIR)\$(PHPDLL) $(PHP_LDFLAGS) $(LDFLAGS) $(STATIC_EXT_LDFLAGS) $(PHP_GLOBAL_OBJS) $(STATIC_EXT_OBJS) $(STATIC_EXT_LIBS) $(LIBS) $(PHPDLL_RES)
	
$(BUILD_DIR)\$(PHPLIB): $(BUILD_DIR)\$(PHPDLL)
	
$(BUILD_DIR) $(BUILD_DIRS_SUB):
	@echo Recreating build dirs
	@if not exist $(BUILD_DIR) mkdir $(BUILD_DIR)
	@for %D in ($(BUILD_DIRS_SUB)) do @if not exist %D @mkdir %D > NUL

clean-sapi:
	@echo Cleaning SAPI
	@for %D in (_x $(EXT_TARGETS)) do @if exist $(BUILD_DIR)\%D @del /F /Q $(BUILD_DIR)\%D > NUL
	@for %D in (_x $(PECL_TARGETS)) do @if exist $(BUILD_DIR)\%D @del /F /Q $(BUILD_DIR)\%D > NUL
	@for %D in (_x $(SAPI_TARGETS)) do @if exist $(BUILD_DIR)\%D @del /F /Q $(BUILD_DIR)\%D > NUL
	-@del /F /Q $(BUILD_DIR)\$(PHPDLL)

clean: clean-sapi
	@echo Cleaning build dirs
	@for %D in (_x $(BUILD_DIRS_SUB)) do @if exist %D @del /F /Q %D\*.* > NUL
	-@del /F /Q $(BUILD_DIR)\*.res $(BUILD_DIR)\*.lib $(BUILD_DIR)\*.ilk $(BUILD_DIR)\*.pdb $(BUILD_DIR)\*.exp $(PHPDEF) $(BUILD_DIR)\php-$(PHP_VERSION_STRING)-Win32.zip $(BUILD_DIR)\pecl-$(PHP_VERSION_STRING)-Win32.zip > NUL
	-rmdir /s /q $(BUILD_DIR)\php-$(PHP_VERSION_STRING) 

clean-pecl:
	@echo Cleaning PECL targets only
	-rmdir /s /q $(BUILD_DIR)\pecl

test:
	<<test_suite_uses_lame_env_vars.bat
set TEST_PHP_EXECUTABLE=$(BUILD_DIR)\php.exe
$(BUILD_DIR)\php.exe -d open_basedir= -d safe_mode=0 -d output_buffering=0 run-tests.php $(TESTS)
<<NOKEEP

build-snap: generated_files
	@$(MAKE) "$(BUILD_DIR)\$(PHPDLL)"
	-for %T in ($(SAPI_TARGETS)) do $(MAKE) /I /nologo "%T"
	-for %T in ($(EXT_TARGETS)) do $(MAKE) /I /nologo "%T"
	-for %T in ($(PECL_TARGETS)) do $(MAKE) /I /nologo "%T"

build-dist: $(BUILD_DIR)\deplister.exe
	-rmdir /s /q $(BUILD_DIR)\php-$(PHP_VERSION_STRING)
	-rmdir /s /q $(BUILD_DIR)\pecl-$(PHP_VERSION_STRING)
	-del /f /q $(BUILD_DIR)\php-$(PHP_VERSION_STRING)-Win32.zip
	-del /f /q $(BUILD_DIR)\php-debug-pack-$(PHP_VERSION_STRING)-Win32.zip
	-del /f /q $(BUILD_DIR)\pecl-$(PHP_VERSION_STRING)-Win32.zip
	$(BUILD_DIR)\php.exe -n win32/build/mkdist.php "$(BUILD_DIR)" "$(PHPDLL)" "$(SAPI_TARGETS)" "$(EXT_TARGETS) $(PHP_EXTRA_DIST_FILES)" "$(PECL_TARGETS) $(PECL_EXTRA_DIST_FILES)" "$(SNAPSHOT_TEMPLATE)"
	cd $(BUILD_DIR)\php-$(PHP_VERSION_STRING)
	-$(ZIP) -9 -r ..\php-$(PHP_VERSION_STRING)-Win32.zip .
	cd ..\..
	cd $(BUILD_DIR)\pecl-$(PHP_VERSION_STRING)
	-$(ZIP) -9 -r ..\pecl-$(PHP_VERSION_STRING)-Win32.zip .
	cd ..\..
	cd $(BUILD_DIR)
	-$(ZIP) -9 php-debug-pack-$(PHP_VERSION_STRING)-Win32.zip *.pdb
	cd ..\..

dist: all build-dist
snap: build-snap build-dist

$(BUILD_DIR)\deplister.exe:	win32\build\deplister.c
	$(CL) /Fo$(BUILD_DIR)\ /Fd$(BUILD_DIR)\ /Fp$(BUILD_DIR)\ /FR$(BUILD_DIR) -o$(BUILD_DIR)\deplister.exe win32\build\deplister.c imagehlp.lib

msi-installer: dist
	$(BUILD_DIR)\php.exe ..\php-installer\build-installer.php "$(BUILD_DIR)" "$(PHPDLL)" "$(SAPI_TARGETS)" "$(EXT_TARGETS)" "$(PECL_TARGETS)"

# need to redirect, since INSTALL is a file in the root...
install: really-install

really-install:
	@if not exist $(PHP_PREFIX) mkdir $(PHP_PREFIX)
	@echo Installing files under $(PHP_PREFIX)
	@copy $(BUILD_DIR)\*.exe $(PHP_PREFIX) /y >nul
	@copy $(BUILD_DIR)\*.dll $(PHP_PREFIX) /y >nul
	@echo Registering event source with syslog (requires admin rights)
	@echo It's okay for this step to fail:
	-$(PHP_PREFIX)\php.exe -n -dextension_dir=$(PHP_PREFIX) win32/build/registersyslog.php $(PHP_PREFIX)\$(PHPDLL)

## php5 5.2.1

=== win32/build/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #  +----------------------------------------------------------------------+
 #  | PHP Version 5                                                        |
 #  +----------------------------------------------------------------------+
-#  | Copyright (c) 1997-2006 The PHP Group                                |
+#  | Copyright (c) 1997-2007 The PHP Group                                |
 #  +----------------------------------------------------------------------+
 #  | This source file is subject to version 3.01 of the PHP license,      |
 #  | that is bundled with this package in the file LICENSE, and is        |
@@ -14,12 +14,13 @@
 #  | Author: Wez Furlong <wez@thebrainroom.com>                           |
 #  +----------------------------------------------------------------------+
 #
-# $Id: Makefile,v 1.35.2.1 2006/01/01 12:50:20 sniper Exp $
+# $Id: Makefile,v 1.35.2.1.2.5 2007/01/13 03:32:28 fmk Exp $
 # This is the makefile template for the win32 build
 
 CC="$(CL)"
 LD="$(LINK)"
 MC="$(MC)"
+MT="$(MT)"
 
 MCFILE=$(BUILD_DIR)\wsyslog.rc
 
@@ -54,6 +55,14 @@
 
 #	$(RC) /fo $(MCFILE) $(BUILD_DIR)\wsyslog.rc
 
+!if $(MT) == ""
+_VC_MANIFEST_EMBED_EXE=
+_VC_MANIFEST_EMBED_DLL=
+!else
+_VC_MANIFEST_EMBED_EXE= $(MT) -nologo -manifest $@.manifest -outputresource:$@;1
+_VC_MANIFEST_EMBED_DLL= $(MT) -nologo -manifest $@.manifest -outputresource:$@;2
+!endif
+
 $(PHPDLL_RES): win32\build\template.rc
 	$(RC) /fo $(PHPDLL_RES) /d FILE_DESCRIPTION="\"PHP Script Interpreter\"" \
 		/d FILE_NAME="\"$(PHPDLL)\"" /d PRODUCT_NAME="\"PHP Script Interpreter\"" \
@@ -61,7 +70,8 @@
 		win32\build\template.rc 
 
 $(BUILD_DIR)\$(PHPDLL): generated_files $(PHPDEF) $(PHP_GLOBAL_OBJS) $(STATIC_EXT_OBJS) $(PHPDLL_RES) $(MCFILE)
-	@$(LD) /out:$(BUILD_DIR)\$(PHPDLL) $(PHP_LDFLAGS) $(LDFLAGS) $(STATIC_EXT_LDFLAGS) $(PHP_GLOBAL_OBJS) $(STATIC_EXT_OBJS) $(STATIC_EXT_LIBS) $(LIBS) $(PHPDLL_RES)
+	@$(CC) $(PHP_GLOBAL_OBJS) $(STATIC_EXT_OBJS) $(STATIC_EXT_LIBS) $(LIBS) $(PHPDLL_RES) /link /out:$(BUILD_DIR)\$(PHPDLL) $(PHP_LDFLAGS) $(LDFLAGS) $(STATIC_EXT_LDFLAGS)
+	-@$(_VC_MANIFEST_EMBED_DLL)
 	
 $(BUILD_DIR)\$(PHPLIB): $(BUILD_DIR)\$(PHPDLL)

## php5 5.3.3

=== win32/build/Makefile ===
#  +----------------------------------------------------------------------+
#  | PHP Version 5                                                        |
#  +----------------------------------------------------------------------+
#  | Copyright (c) 1997-2008 The PHP Group                                |
#  +----------------------------------------------------------------------+
#  | This source file is subject to version 3.01 of the PHP license,      |
#  | that is bundled with this package in the file LICENSE, and is        |
#  | available through the world-wide-web at the following url:           |
#  | http://www.php.net/license/3_01.txt                                  |
#  | If you did not receive a copy of the PHP license and are unable to   |
#  | obtain it through the world-wide-web, please send a note to          |
#  | license@php.net so we can mail you a copy immediately.               |
#  +----------------------------------------------------------------------+
#  | Author: Wez Furlong <wez@thebrainroom.com>                           |
#  +----------------------------------------------------------------------+
#
# $Id: Makefile 289763 2009-10-19 19:02:12Z pajoye $
# This is the makefile template for the win32 build

CC="$(CL)"
LD="$(LINK)"
MC="$(MC)"
MT="$(MT)"
RE2C="$(RE2C)"
PHP_BUILD=$(PHP_BUILD)

MCFILE=$(BUILD_DIR)\wsyslog.rc

all: generated_files $(EXT_TARGETS) $(PECL_TARGETS) $(SAPI_TARGETS)

build_dirs: $(BUILD_DIR) $(BUILD_DIRS_SUB)

!if $(RE2C) == ""
generated_files: build_dirs Zend\zend_ini_parser.c \
	Zend\zend_language_parser.c \
	$(PHPDEF) $(MCFILE)
!else
generated_files: build_dirs Zend\zend_ini_parser.c \
	Zend\zend_language_parser.c Zend\zend_ini_scanner.c \
	Zend\zend_language_scanner.c \
	$(PHPDEF) $(MCFILE)
!endif

$(BUILD_DIR)\$(PHPDLL).def: $(PHP_DLL_DEF_SOURCES)
	type $(PHP_DLL_DEF_SOURCES) > $(BUILD_DIR)\$(PHPDLL).def

Zend\zend_ini_parser.c Zend\zend_ini_parser.h: Zend\zend_ini_parser.y
	$(BISON) --output=Zend/zend_ini_parser.c -v -d -p ini_ Zend/zend_ini_parser.y

Zend\zend_language_parser.c Zend\zend_language_parser.h: Zend\zend_language_parser.y
	$(BISON) --output=Zend/zend_language_parser.c -v -d -p zend Zend/zend_language_parser.y

!if $(RE2C) != ""
Zend\zend_ini_scanner.c: Zend\zend_ini_scanner.l
	$(RE2C) $(RE2C_FLAGS) --case-inverted -cbdFt Zend/zend_ini_scanner_defs.h -oZend/zend_ini_scanner.c Zend/zend_ini_scanner.l

Zend\zend_language_scanner.c: Zend\zend_language_scanner.l
	$(RE2C) $(RE2C_FLAGS) --case-inverted -cbdFt Zend/zend_language_scanner_defs.h -oZend/zend_language_scanner.c Zend/zend_language_scanner.l
!endif

PHPDLL_RES=$(BUILD_DIR)\$(PHPDLL).res

$(MCFILE): win32\build\wsyslog.mc
	$(MC) -h win32\ -r $(BUILD_DIR)\ -x $(BUILD_DIR)\ win32\build\wsyslog.mc

#	$(RC) /fo $(MCFILE) $(BUILD_DIR)\wsyslog.rc

!if $(MT) == ""
_VC_MANIFEST_EMBED_EXE=
_VC_MANIFEST_EMBED_DLL=
!else
_VC_MANIFEST_EMBED_EXE= if exist $@.manifest $(MT) -nologo -manifest $@.manifest -outputresource:$@;1
_VC_MANIFEST_EMBED_DLL= if exist $@.manifest $(MT) -nologo -manifest $@.manifest -outputresource:$@;2
!endif

$(PHPDLL_RES): win32\build\template.rc
	$(RC) /fo $(PHPDLL_RES) /d FILE_DESCRIPTION="\"PHP Script Interpreter\"" \
		/d FILE_NAME="\"$(PHPDLL)\"" /d PRODUCT_NAME="\"PHP Script Interpreter\"" \
		/I$(BUILD_DIR) /d MC_INCLUDE="\"$(MCFILE)\"" \
		win32\build\template.rc

$(BUILD_DIR)\$(PHPDLL): generated_files $(PHPDEF) $(PHP_GLOBAL_OBJS) $(STATIC_EXT_OBJS) $(PHPDLL_RES) $(MCFILE)
	@$(CC) $(PHP_GLOBAL_OBJS) $(STATIC_EXT_OBJS) $(STATIC_EXT_LIBS) $(LIBS) $(PHPDLL_RES) /link /out:$(BUILD_DIR)\$(PHPDLL) $(PHP_LDFLAGS) $(LDFLAGS) $(STATIC_EXT_LDFLAGS)
	-@$(_VC_MANIFEST_EMBED_DLL)

$(BUILD_DIR)\$(PHPLIB): $(BUILD_DIR)\$(PHPDLL)

$(BUILD_DIR) $(BUILD_DIRS_SUB):
	@echo Recreating build dirs
	@if not exist $(BUILD_DIR) mkdir $(BUILD_DIR)
	@for %D in ($(BUILD_DIRS_SUB)) do @if not exist %D @mkdir %D > NUL

clean-sapi:
	@echo Cleaning SAPI
	@for %D in (_x $(EXT_TARGETS)) do @if exist $(BUILD_DIR)\%D @del /F /Q $(BUILD_DIR)\%D > NUL
	@for %D in (_x $(PECL_TARGETS)) do @if exist $(BUILD_DIR)\%D @del /F /Q $(BUILD_DIR)\%D > NUL
	@for %D in (_x $(SAPI_TARGETS)) do @if exist $(BUILD_DIR)\%D @del /F /Q $(BUILD_DIR)\%D > NUL
	-@del /F /Q $(BUILD_DIR)\$(PHPDLL)

clean: clean-sapi
	@echo Cleaning distribution build dirs
	@for %D in (_x $(BUILD_DIRS_SUB)) do @if exist %D @del /F /Q %D\*.* > NUL
	-@del /F /Q $(BUILD_DIR)\*.res $(BUILD_DIR)\*.lib $(BUILD_DIR)\*.ilk $(BUILD_DIR)\*.pdb $(BUILD_DIR)\*.exp $(PHPDEF) $(BUILD_DIR)\php-$(PHP_VERSION_STRING)-Win32.zip $(BUILD_DIR)\pecl-$(PHP_VERSION_STRING)-Win32.zip > NUL
	-rd /s /q $(BUILD_DIR)\php-$(PHP_VERSION_STRING)

clean-pecl:
	@echo Cleaning PECL targets only
	-rd /s /q $(BUILD_DIR)\pecl

clean-all:
	@echo Cleaning standard build dirs
	@for %D in (_x $(BUILD_DIRS_SUB)) do @if exist %D @rd /s /q %D
	-@del /f /q $(BUILD_DIR)\*.res $(BUILD_DIR)\*.lib $(BUILD_DIR)\*.ilk $(BUILD_DIR)\*.pdb $(BUILD_DIR)\*.exp $(PHPDEF) $(BUILD_DIR)\*.rc $(BUILD_DIR)\*.dbg $(BUILD_DIR)\*.bin $(BUILD_DIR)\php*.dll $(BUILD_DIR)\php*.exe > NUL

test:
	"$(BUILD_DIR)\php.exe" -d open_basedir= -d output_buffering=0 run-tests.php $(TESTS) -p "$(BUILD_DIR)\php.exe"

build-snap: generated_files
	SET PATH=$(PATH);$(PHP_BUILD)\bin
	@$(MAKE) "$(BUILD_DIR)\$(PHPDLL)"
	-for %T in ($(SAPI_TARGETS)) do $(MAKE) /I /nologo "%T"
	-for %T in ($(EXT_TARGETS)) do $(MAKE) /I /nologo "%T"
	-for %T in ($(PECL_TARGETS)) do $(MAKE) /I /nologo "%T"

build-dist: $(BUILD_DIR)\deplister.exe
	-rd /s /q $(BUILD_DIR)\php-$(PHP_VERSION_STRING)
	-rd /s /q $(BUILD_DIR)\pecl-$(PHP_VERSION_STRING)
	-del /f /q $(BUILD_DIR)\php-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE).zip
	-del /f /q $(BUILD_DIR)\php-debug-pack-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE).zip
	-del /f /q $(BUILD_DIR)\pecl-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE).zip
	$(BUILD_DIR)\php.exe -d date.timezone=UTC -n -dphar.readonly=0 win32/build/mkdist.php "$(BUILD_DIR)" "$(PHP_BUILD)" "$(PHPDLL)" "$(SAPI_TARGETS)" "$(EXT_TARGETS) $(PHP_EXTRA_DIST_FILES)" "$(PECL_TARGETS) $(PECL_EXTRA_DIST_FILES)" "$(SNAPSHOT_TEMPLATE)"
	cd $(BUILD_DIR)\php-$(PHP_VERSION_STRING)
	-$(ZIP) -9 -q -r ..\php-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE).zip .
	cd ..\..
	cd $(BUILD_DIR)\pecl-$(PHP_VERSION_STRING)
	-$(ZIP) -9 -q -r ..\pecl-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE).zip .
	cd ..\..
	cd $(BUILD_DIR)\php-test-pack-$(PHP_VERSION_STRING)
	-$(ZIP) -9 -q -r ..\php-test-pack-$(PHP_VERSION_STRING).zip .
	cd ..\..
	cd $(BUILD_DIR)
	-$(ZIP) -9 -q php-debug-pack-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE).zip *.pdb
	cd ..\..

dist: all build-dist
snap: build-snap build-dist

$(BUILD_DIR)\deplister.exe:	win32\build\deplister.c
	$(CL) /Fo$(BUILD_DIR)\ /Fd$(BUILD_DIR)\ /Fp$(BUILD_DIR)\ /FR$(BUILD_DIR) /Fe$(BUILD_DIR)\deplister.exe win32\build\deplister.c imagehlp.lib

msi-installer: dist
	$(BUILD_DIR)\php.exe ..\php-installer\build-installer.php "$(BUILD_DIR)" "$(PHPDLL)" "$(SAPI_TARGETS)" "$(EXT_TARGETS)" "$(PECL_TARGETS)"

# need to redirect, since INSTALL is a file in the root...
install: really-install

really-install:
	@if not exist $(PHP_PREFIX) mkdir $(PHP_PREFIX)
	@echo Installing files under $(PHP_PREFIX)
	@copy $(BUILD_DIR)\*.exe $(PHP_PREFIX) /y >nul
	@copy $(BUILD_DIR)\*.dll $(PHP_PREFIX) /y >nul
	@echo Registering event source with syslog (requires admin rights)
	@echo It's okay for this step to fail:
	-$(PHP_PREFIX)\php.exe -n -dextension_dir=$(PHP_PREFIX) win32/build/registersyslog.php $(PHP_PREFIX)\$(PHPDLL)

## php5 5.3.3.1-7%2Bsqueeze29

=== debian/control ===
Source: php5
Section: php
Priority: optional
Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>,
	   Sean Finney <seanius@debian.org>,
	   Thijs Kinkhorst <thijs@debian.org>,
	   Raphael Geissert <geissert@debian.org>
Build-Depends: apache2-prefork-dev,
	       autoconf (>= 2.63),
	       automake (>= 1.11) | automake1.11,
	       bison,
	       chrpath,
	       debhelper (>= 5),
	       firebird2.1-dev [amd64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc] | firebird2.0-dev [i386 amd64 powerpc sparc],
	       flex,
	       freetds-dev,
	       hardening-wrapper,
	       libapr1-dev (>= 1.2.7-8),
	       libbz2-dev,
	       libc-client-dev,
	       libcurl4-openssl-dev | libcurl-dev,
	       libdb-dev (>= 4.7) | libdb4.8-dev | libdb4.6-dev,
	       libenchant-dev,
	       libevent-dev (>= 1.4.11),
	       libexpat1-dev (>= 1.95.2-2.1),
	       libfreetype6-dev,
	       libgcrypt11-dev,
	       libgd2-xpm-dev,
	       libglib2.0-dev,
	       libgmp3-dev,
	       libicu-dev,
	       libjpeg-dev | libjpeg62-dev,
	       libkrb5-dev,
	       libldap2-dev,
	       libmcrypt-dev,
	       libmhash-dev (>= 0.8.8),
	       libmysqlclient-dev | libmysqlclient15-dev,
	       libonig-dev,
	       libpam0g-dev,
	       libpcre3-dev (>= 6.6),
	       libpng12-dev,
	       libpq-dev,
	       libpspell-dev,
	       libqdbm-dev,
	       librecode-dev,
	       libsasl2-dev,
	       libsnmp-dev,
	       libsqlite0-dev,
	       libsqlite3-dev,
	       libssl-dev,
	       libt1-dev,
	       libtidy-dev,
	       libtool (>= 2.2),
	       libwrap0-dev,
	       libxmltok1-dev,
	       libxml2-dev,
	       libxslt1-dev (>= 1.0.18),
	       locales-all,
	       mysql-server,
	       netbase,
	       netcat-traditional,
	       quilt,
	       re2c,
	       unixodbc-dev,
	       zlib1g-dev,
	       tzdata
Build-Conflicts: bind-dev
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/pkg-php/php.git
Vcs-Browser: http://git.debian.org/?p=pkg-php/php.git
Homepage: http://www.php.net/

Package: php5
Architecture: all
Depends: ${misc:Depends}, libapache2-mod-php5 (>= ${source:Version}) | libapache2-mod-php5filter (>= ${source:Version}) | php5-cgi (>= ${source:Version}), php5-common (>= ${source:Version})
Description: server-side, HTML-embedded scripting language (metapackage)
 This package is a metapackage that, when installed, guarantees that you
 have at least one of the three server-side versions of the PHP5 interpreter
 installed. Removing this package won't remove PHP5 from your system, however
 it may remove other packages that depend on this one.
 .
 PHP5 is a widely-used general-purpose scripting language that is
 especially suited for Web development and can be embedded into HTML.
 The goal of the language is to allow web developers to write
 dynamically generated pages quickly. This version of PHP5 was built
 with the Suhosin patch.

Package: php5-common
Architecture: any
Depends: ${misc:Depends}, sed (>= 4.1.1-1), ${shlibs:Depends}
Recommends: php5-suhosin
Provides: php5-json, php5-mhash
Conflicts: php5-json, php5-mhash
Description: Common files for packages built from the php5 source
 This package contains the documentation and example files relevant to all
 the other packages built from the php5 source.
 .
 PHP5 is a widely-used general-purpose scripting language that is
 especially suited for Web development and can be embedded into HTML.
 The goal of the language is to allow web developers to write
 dynamically generated pages quickly. This version of PHP5 was built
 with the Suhosin patch.

Package: libapache2-mod-php5
Section: httpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mime-support, ${apache2:Depends}, php5-common (= ${binary:Version}), libmagic1, ucf, tzdata
Conflicts: libapache2-mod-php4, libapache2-mod-php5filter
Provides: ${php:Provides}
Recommends: php5-cli
Suggests: php-pear
Description: server-side, HTML-embedded scripting language (Apache 2 module)
 This package provides the PHP5 module for the Apache 2 webserver (as
 found in the apache2-mpm-prefork package).  Please note that this package
 ONLY works with Apache's prefork MPM, as it is not compiled thread-safe.
 .
 ${php:Extensions}
 .
 PHP5 is a widely-used general-purpose scripting language that is
 especially suited for Web development and can be embedded into HTML.
 The goal of the language is to allow web developers to write
 dynamically generated pages quickly. This version of PHP5 was built
 with the Suhosin patch.

Package: libapache2-mod-php5filter
Section: httpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mime-support, ${apache2:Depends}, php5-common (= ${binary:Version}), libmagic1, ucf, tzdata
Conflicts: libapache2-mod-php4, libapache2-mod-php5
Provides: ${php:Provides}
Suggests: php-pear
Description: server-side, HTML-embedded scripting language (apache 2 filter module)
 This package provides the PHP5 Filter module for the Apache 2 webserver (as 
 found in the apache2-mpm-prefork package).  Please note that this package
 ONLY works with Apache's prefork MPM, as it is not compiled thread-safe.
 .
 Unless you specifically need filter-module support, you most likely
 should instead install libapache2-mod-php5.
 .
 ${php:Extensions}
 .
 PHP5 is a widely-used general-purpose scripting language that is
 especially suited for Web development and can be embedded into HTML.
 The goal of the language is to allow web developers to write
 dynamically generated pages quickly. This version of PHP5 was built
 with the Suhosin patch.

Package: php5-cgi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mime-support, php5-common (= ${binary:Version}), libmagic1, ucf, tzdata
Provides: ${php:Provides}
Suggests: php-pear
Description: server-side, HTML-embedded scripting language (CGI binary)
 This package provides the /usr/lib/cgi-bin/php5 CGI interpreter built
 for use in Apache 2 with mod_actions, or any other CGI httpd that
 supports a similar mechanism.  Note that MOST Apache users probably
 want the libapache2-mod-php5 package.
 .
 ${php:Extensions}
 .
 PHP5 is a widely-used general-purpose scripting language that is
 especially suited for Web development and can be embedded into HTML.
 The goal of the language is to allow web developers to write
 dynamically generated pages quickly. This version of PHP5 was built
 with the Suhosin patch.

Package: php5-cli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mime-support, php5-common (= ${binary:Version}), libmagic1, ucf, tzdata
Provides: ${php:Provides}
Suggests: php-pear
Description: command-line interpreter for the php5 scripting language
 This package provides the /usr/bin/php5 command interpreter, useful for
 testing PHP scripts from a shell or performing general shell scripting tasks.
 .
 ${php:Extensions}
 .
 PHP5 is a widely-used general-purpose scripting language that is
 especially suited for Web development and can be embedded into HTML.
 The goal of the language is to allow web developers to write
 dynamically generated pages quickly. This version of PHP5 was built
 with the Suhosin patch.

Package: php5-dev
Depends: ${misc:Depends}, autoconf (>= 2.63), automake (>= 1.11), libssl-dev, libtool (>= 2.2), shtool, php5-common (>= ${binary:Version})
Conflicts: ${libtool:Conflicts}
Architecture: any
Description: Files for PHP5 module development
 This package provides the files from the PHP5 source needed for compiling
 additional modules.
 .
 PHP5 is a widely-used general-purpose scripting language that is
 especially suited for Web development and can be embedded into HTML.
 The goal of the language is to allow web developers to write
 dynamically generated pages quickly. This version of PHP5 was built
 with the Suhosin patch.

Package: php5-dbg
Depends: ${misc:Depends}, php5-common (= ${binary:Version}), libapache2-mod-php5 (= ${binary:Version}) | libapache2-mod-php5filter (= ${binary:Version}) | php5-cgi (= ${binary:Version}) | php5-cli (= ${binary:Version}) | php5-curl (= ${binary:Version}) | php5-enchant (= ${binary:Version}) | php5-gd (= ${binary:Version}) | php5-gmp (= ${binary:Version}) | php5-imap (= ${binary:Version}) | php5-interbase (= ${binary:Version}) | php5-intl (= ${binary:Version}) | php5-ldap (= ${binary:Version}) | php5-mcrypt (= ${binary:Version}) | php5-mysql (= ${binary:Version}) | php5-odbc (= ${binary:Version}) | php5-pgsql (= ${binary:Version}) | php5-pspell (= ${binary:Version}) | php5-recode (= ${binary:Version}) | php5-snmp (= ${binary:Version}) | php5-sqlite (= ${binary:Version}) | php5-sybase (= ${binary:Version}) | php5-tidy (= ${binary:Version}) | php5-xmlrpc (= ${binary:Version}) | php5-xsl (= ${binary:Version})
Recommends: gdb
Section: debug
Priority: extra
Architecture: any
Description: Debug symbols for PHP5
 This package provides the debug symbols for PHP5 needed for properly
 debugging errors in PHP5 with gdb.
 .
 PHP5 is a widely-used general-purpose scripting language that is
 especially suited for Web development and can be embedded into HTML.
 The goal of the language is to allow web developers to write
 dynamically generated pages quickly. This version of PHP5 was built
 with the Suhosin patch.

Package: php-pear
Architecture: all
Depends: ${misc:Depends}, php5-common (>= ${source:Version}), php5-cli
Recommends: gnupg
Conflicts: php-xml-util
Suggests: php5-dev
Replaces: php4-pear (<< 4:4.4.0-0), php-xml-util
Provides: php-xml-util
Description: PEAR - PHP Extension and Application Repository
 This package contains the base PEAR classes for PHP, as well as the PEAR
 installer.  Many PEAR classes are already packaged for Debian, and can be
 easily identified by names beginning with "php-", such as php-db and
 php-auth.  Note: to build and install precompiled PECL extensions, you
 will need one of the php development packages installed.
 .
 PHP5 is a widely-used general-purpose scripting language that is
 especially suited for Web development and can be embedded into HTML.
 The goal of the language is to allow web developers to write
 dynamically generated pages quickly. This version of PHP5 was built
 with the Suhosin patch.

Package: php5-curl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${php:Depends}, php5-common (= ${binary:Version})
Description: CURL module for php5
 CURL is a library for getting files from  FTP, GOPHER, HTTP server.
 .
 PHP5 is a widely-used general-purpose scripting language that is
 especially suited for Web development and can be embedded into HTML.
 The goal of the language is to allow web developers to write
 dynamically generated pages quickly. This version of PHP5 was built
 with the Suhosin patch.

Package: php5-enchant
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${php:Depends}, php5-common (= ${binary:Version})
Description: Enchant module for php5
 This package provides a module for the generic spell checking library
 Enchant, which can use engines such as ispell, aspell and myspells.
 .
 PHP5 is a widely-used general-purpose scripting language that is
 especially suited for Web development and can be embedded into HTML.
 The goal of the language is to allow web developers to write
 dynamically generated pages quickly. This version of PHP5 was built
 with the Suhosin patch.

Package: php5-gd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${php:Depends}, php5-common (= ${binary:Version})
Description: GD module for php5
 This package provides a module for handling graphics directly from PHP
 scripts. It supports the PNG, JPEG, XPM formats as well as Freetype/ttf fonts.
 .
 PHP5 is a widely-used general-purpose scripting language that is
 especially suited for Web development and can be embedded into HTML.
 The goal of the language is to allow web developers to write
 dynamically generated pages quickly. This version of PHP5 was built
 with the Suhosin patch.

Package: php5-gmp

## php5 5.3.3.1-7+squeeze27

=== debian/changelog ===
php5 (5.3.3.1-7+squeeze27) squeeze-lts; urgency=high

  * Non-maintainer upload by the Squeeze LTS Team.
  * CVE-2015-3307
    The phar_parse_metadata function in ext/phar/phar.c in PHP before 
    5.4.40, 5.5.x before 5.5.24, and 5.6.x before 5.6.8 allows remote 
    attackers to cause a denial of service (heap metadata corruption) 
    or possibly have unspecified other impact via a crafted tar archive.
  * CVE-2015-3411 + CVE-2015-3412
    Fixed bug #69353 (Missing null byte checks for paths in various 
    PHP extensions)
  * CVE-2015-4021
    The phar_parse_tarfile function in ext/phar/tar.c in PHP 
    before 5.4.41, 5.5.x before 5.5.25, and 5.6.x before 5.6.9 
    does not verify that the first character of a filename is 
    different from the \0 character, which allows remote attackers 
    to cause a denial of service (integer underflow and memory 
    corruption) via a crafted entry in a tar archive.
  * CVE-2015-4022
    Integer overflow in the ftp_genlist function in ext/ftp/ftp.c in PHP 
    before 5.4.41, 5.5.x before 5.5.25, and 5.6.x before 5.6.9 allows 
    remote FTP servers to execute arbitrary code via a long reply to a 
    LIST command, leading to a heap-based buffer overflow.
  * CVE-2015-4025 
    PHP before 5.4.41, 5.5.x before 5.5.25, and 5.6.x before 5.6.9 
    truncates a pathname upon encountering a \x00 character in certain 
    situations, which allows remote attackers to bypass intended 
    extension restrictions and access files or directories with 
    unexpected names via a crafted argument to (1) set_include_path, 
    (2) tempnam, (3) rmdir, or (4) readlink. NOTE: this vulnerability 
    exists because of an incomplete fix for CVE-2006-7243.
  * CVE-2015-4026
    The pcntl_exec implementation in PHP before 5.4.41, 5.5.x before 
    5.5.25, and 5.6.x before 5.6.9 truncates a pathname upon encountering 
    a \x00 character, which might allow remote attackers to bypass 
    intended extension restrictions and execute files with unexpected 
    names via a crafted first argument. NOTE: this vulnerability exists 
    because of an incomplete fix for CVE-2006-7243.
  * CVE-2015-4147
    The SoapClient::__call method in ext/soap/soap.c in PHP before 
    5.4.39, 5.5.x before 5.5.23, and 5.6.x before 5.6.7 does not 
    verify that __default_headers is an array, which allows remote 
    attackers to execute arbitrary code by providing crafted 
    serialized data with an unexpected data type, related to a "type 
    confusion" issue.
  * CVE-2015-4148
    The do_soap_call function in ext/soap/soap.c in PHP before 5.4.39, 
    5.5.x before 5.5.23, and 5.6.x before 5.6.7 does not verify that 
    the uri property is a string, which allows remote attackers to 
    obtain sensitive information by providing crafted serialized data 
    with an int data type, related to a "type confusion" issue.
  * CVE-2015-4598
    Incorrect handling of paths with NULs
  * CVE-2015-4599
    Type confusion vulnerability in exception::getTraceAsString
  * CVE-2015-4600 + CVE-2015-4601
    Added type checks
  * CVE-2015-4602
    Type Confusion Infoleak Vulnerability in unserialize() with SoapFault
  * CVE-2015-4604 + CVE-2015-4605
    denial of service when processing a crafted file with Fileinfo 
    (already fixed in  CVE-2015-temp-68819.patch)
  * CVE-2015-4643
    Improved fix for bug #69545 (Integer overflow in ftp_genlist() 
    resulting in heap overflow)
  * CVE-2015-4644
    Fixed bug #69667 (segfault in php_pgsql_meta_data)
  * CVE-2015-5589
    Segfault in Phar::convertToData on invalid file
  * CVE-2015-5590
    Buffer overflow and stack smashing error in phar_fix_filepath
  
 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 27 Jul 2015 18:17:00 +0200

php5 (5.3.3.1-7+squeeze26) squeeze-lts; urgency=high

  * Non-maintainer upload by the Squeeze LTS Team.
  * CVE-2014-9705.patch
    Heap-based buffer overflow in the enchant_broker_request_dict 
    function in ext/enchant/enchant.c in PHP before 5.4.38, 5.5.x 
    before 5.5.22, and 5.6.x before 5.6.6 allows remote attackers 
    to execute arbitrary code via vectors that trigger creation of 
    multiple dictionaries.
  * CVE-2015-0232.patch
    The exif_process_unicode function in ext/exif/exif.c in PHP 
    before 5.4.37, 5.5.x before 5.5.21, and 5.6.x before 5.6.5 
    allows remote attackers to execute arbitrary code or cause a 
    denial of service (uninitialized pointer free and application 
    crash) via crafted EXIF data in a JPEG image.
  * CVE-2015-2301.patch
    Use-after-free vulnerability in the phar_rename_archive function  
    in phar_object.c in PHP before 5.5.22 and 5.6.x before 5.6.6
    allows remote attackers to cause a denial of service or possibly
    have unspecified other impact via vectors that trigger an attempted
    renaming of a Phar archive to the name of an existing file.
  * CVE-2015-2331.patch
    Integer overflow in the _zip_cdir_new function in zip_dirent.c 
    in libzip 0.11.2 and earlier, as used in the ZIP extension in PHP 
    before 5.4.39, 5.5.x before 5.5.23, and 5.6.x before 5.6.7 and 
    other products, allows remote attackers to cause a denial of 
    service (application crash) or possibly execute arbitrary code 
    via a ZIP archive that contains many entries, leading to a 
    heap-based buffer overflow.
  * CVE-2015-2783.patch
    Buffer Over-read in unserialize when parsing Phar
  * CVE-2015-2787.patch
    Use-after-free vulnerability in the process_nested_data function 
    in ext/standard/var_unserializer.re in PHP before 5.4.39, 5.5.x 
    before 5.5.23, and 5.6.x before 5.6.7 allows remote attackers to 
    execute arbitrary code via a crafted unserialize call that 
    leverages use of the unset function within an __wakeup function, 
    a related issue to CVE-2015-0231.
  * CVE-2015-3329.patch
    Buffer Overflow when parsing tar/zip/phar in phar_set_inode)
  * CVE-2015-3330.patch
    PHP potential remote code execution with apache 2.4 apache2handler


## php5 5.3.3.1-7+squeeze28

=== debian/changelog ===
php5 (5.3.3.1-7+squeeze28) squeeze-lts; urgency=high

  * Non-maintainer upload by the Squeeze LTS Team.
  * CVE-2015-6831
    Use after free vulnerability was found in unserialize() function. 
    We can create ZVAL and free it via Serializable::unserialize. 
    However the unserialize() will still allow to use R: or r: to set 
    references to that already freed memory. It is possible to 
    use-after-free attack and execute arbitrary code remotely.
  * CVE-2015-6832
    Dangling pointer in the unserialization of ArrayObject items.
  * CVE-2015-6833
    Files extracted from archive may be placed outside of destination 
    directory
  * CVE-2015-6834
    Use after free vulnerability was found in unserialize() function. 
    We can create ZVAL and free it via Serializable::unserialize. 
    However the unserialize() will still allow to use R: or r: to set 
    references to that already freed memory. It is possible to 
    use-after-free attack and execute arbitrary code remotely.
  * CVE-2015-6836
    A type confusion occurs within SOAP serialize_function_call due 
    to an insufficient validation of the headers field. 
    In the SoapClient's __call method, the verify_soap_headers_array 
    check is applied only to headers retrieved from 
    zend_parse_parameters; problem is that a few lines later, 
    soap_headers could be updated or even replaced with values from 
    the __default_headers object fields.
  * CVE-2015-6837
    The XSLTProcessor class misses a few checks on the input from the 
    libxslt library. The valuePop() function call is able to return 
    NULL pointer and php does not check that.
  * CVE-2015-6838
    The XSLTProcessor class misses a few checks on the input from the 
    libxslt library. The valuePop() function call is able to return 
    NULL pointer and php does not check that.
  * CVE-2015-7803
    A NULL pointer dereference flaw was found in the way PHP's Phar 
    extension parsed Phar archives. A specially crafted archive could 
    cause PHP to crash.
  * CVE-2015-7804
    An uninitialized pointer use flaw was found in the 
    phar_make_dirstream() function of PHP's Phar extension. 
    A specially crafted phar file in the ZIP format with a directory 
    entry with a file name "/ZIP" could cause a PHP application 
    function to crash.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 28 Oct 2015 22:17:00 +0100
